var xmlRequest;
function checkForUpdates()
{
var currentTime;
if (!preferencesIgnoreUpdates) {
currentTime=new Date();
currentTime=parseFloat(currentTime.getTime())/1000;
if ((currentTime-lastCheckedTime)>1800) {
startXMLRequest();
lastCheckedTime=new Date();
lastCheckedTime=parseFloat(lastCheckedTime.getTime())/1000;
}
}
}
function startXMLRequest()
{
xmlRequest = new XMLHttpRequest();
xmlRequest.onreadystatechange = finishXMLRequest; 
xmlRequest.overrideMimeType("text/xml");
xmlRequest.open("GET", "http://updates.donkeyentertainment.com/pemdas.php?r=R35");
xmlRequest.send();
}
function finishXMLRequest()
{
if (xmlRequest.readyState == 4) {
if (xmlRequest.status == 200) { 
parseXMLData();
} else { 
}
}	
}
function parseXMLData()
{	
var pemdasVersionData = findXMLChild(xmlRequest.responseXML, "pemdasVersionData");
if (!pemdasVersionData) return;
var currentVersionInfo = findXMLChild(pemdasVersionData, "currentVersionInfo");
if (!currentVersionInfo) return;
currentReleaseNumber=currentVersionInfo.version;
currentReleaseMessage=currentVersionInfo.message;
currentReleaseURL=currentVersionInfo.url;
if (thisVersionNumber!=currentReleaseNumber) {
displayVersionUpdateBox();
}
}
function findXMLChild(element, nodeName)
{
var child;
for (child = element.firstChild; child != null; child = child.nextSibling) {
if (child.nodeName == nodeName)
return child;
}
return false;
}
function displayVersionUpdateBox()
{
document.getElementById('updateMessage').innerHTML=currentReleaseMessage;
document.getElementById('updateDontTell').innerHTML="Don't tell me about PEMDAS " + currentReleaseNumber +" again."
document.getElementById('updateDivContainer').style.display='block';
}
function openUpdateURL()
{
if(window.widget)
widget.openURL(currentReleaseURL);
document.getElementById('updateDivContainer').style.display='none';
}
function turnUpdateButtonOn(updateButton)
{
document.getElementById('updateLeft'+updateButton).className='updateLeftOn';
document.getElementById('updateMiddle'+updateButton).className='updateMiddleOn';
document.getElementById('updateRight'+updateButton).className='updateRightOn';
}
function turnUpdateButtonOff(updateButton)
{
document.getElementById('updateLeft'+updateButton).className='updateLeftOff';
document.getElementById('updateMiddle'+updateButton).className='updateMiddleOff';
document.getElementById('updateRight'+updateButton).className='updateRightOff';
}
function turnCheckboxOn()
{
if (preferencesIgnoreUpdates) {
document.getElementById('updateCheckbox').src="images/updateBox/checkboxOnDown.png";
} else {
document.getElementById('updateCheckbox').src="images/updateBox/checkboxOffDown.png";
}
}
function turnCheckboxOff()
{
if (preferencesIgnoreUpdates) {
document.getElementById('updateCheckbox').src="images/updateBox/checkboxOn.png";
} else {
document.getElementById('updateCheckbox').src="images/updateBox/checkboxOff.png";
}
}
function toggleCheckbox()
{
preferencesIgnoreUpdates++;
if (preferencesIgnoreUpdates>=2)
preferencesIgnoreUpdates=0;
turnCheckboxOff();
if (window.widget) {
widget.setPreferenceForKey(preferencesIgnoreUpdates,"preferencesIgnoreUpdates");
}
}
function cancelUpdate()
{
document.getElementById('updateDivContainer').style.display='none';
}
